from flask_wtf import FlaskForm
from wtforms import StringField, SubmitField, SelectField, SelectMultipleField
from wtforms.validators import Length


class SelectVehicleForm(FlaskForm):
    vehicle = SelectField('Vehicle', coerce=int)
    submit = SubmitField(label='Do it!')


class EditVehicleForm(FlaskForm):
    name = StringField('Name', validators=[Length(1, 255)])
    consumables = SelectMultipleField('Consumables', coerce=int,validators=[])
    submit = SubmitField(label='Do it!')


class DeleteVehicleForm(FlaskForm):
    submit = SubmitField(label='Do it!')


